Connections
Get a connection
Retrieves the specified connection and its configuration details without including credential values.
Sorgu parametreleri
api-version
string
gerekli
The API version to use for this operation.
Yol parametreleri
name
string
gerekli
The friendly name of the connection, provided by the user.
Üst bilgi parametreleri
x-ms-client-request-id
string
An opaque, globally-unique, client-generated string identifier for the request.
Yanıtlar
The request has succeeded.
Üst Bilgiler
x-ms-client-request-id
string
An opaque, globally-unique, client-generated string identifier for the request.
Gövde
name
string
gerekli
The friendly name of the connection, provided by the user.
id
string
gerekli
A unique identifier for the connection, generated by the service
type
string | enum
gerekli
The Type (or category) of the connection
enum
target
string
gerekli
The connection URL to be used for this service
isDefault
boolean
gerekli
Whether the connection is tagged as the default connection of its type
credentials
ApiKey | AAD | CustomKeys | SAS | None | AgenticIdentityToken_Preview
gerekli
A base class for connection credentials
ApiKey
ApiKeyCredentials
API Key Credential definition
type
enum
gerekli
The credential type
key
string
API Key
AAD
EntraIDCredentials
Entra ID credential definition
type
enum
gerekli
The credential type
CustomKeys
CustomCredential
Custom credential definition
type
enum
gerekli
The credential type
SAS
SASCredentials
Shared Access Signature (SAS) credential definition
type
enum
gerekli
The credential type
SAS
string
SAS token
None
NoAuthenticationCredentials
Credentials that do not require authentication
type
enum
gerekli
The credential type
AgenticIdentityToken_Preview
AgenticIdentityPreviewCredentials
Agentic identity credential definition
type
enum
gerekli
The credential type
metadata
object
gerekli
Metadata of the connection
İstek
GET /connections/{name} HTTP/1.1
Response
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json